#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	tests		# testsuite build [switch broken in configure]

Summary:	Accounts management library for GLib applications
Summary(pl.UTF-8):	Biblioteka do zarządzania kontami dla aplikacji opartych na bibliotece GLib
Name:		libaccounts-glib
Version:	1.23
Release:	1
License:	LGPL v2.1
Group:		Libraries
#Source0Download: https://gitlab.com/accounts-sso/libaccounts-glib/tags?updated_desc
# TODO: in the future, use fake GET arg to force sane filename on df
Source0:	https://gitlab.com/accounts-sso/libaccounts-glib/repository/archive.tar.bz2?ref=VERSION_%{version}&fake_out=/%{name}-%{version}.tar.bz2
# Source0-md5:	f71c0393fb7cd6397b145fe4ad0ebba9
URL:		https://gitlab.com/accounts-sso/libaccounts-glib
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.11
%{?with_tests:BuildRequires:	check-devel >= 0.9.4}
BuildRequires:	docbook-dtd43-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	glib2-devel >= 1:2.36
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python-pygobject3-devel >= 3.0
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sqlite3-devel >= 3.7.0
Requires:	glib2 >= 1:2.36
Requires:	sqlite3 >= 3.7.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project is a library for managing accounts which can be used from
GLib applications. It is part of the accounts-sso project.

%description -l pl.UTF-8
Ten projekt to biblioteka do zarządzania kontami, z której można
korzystać w aplikacjach opartych na bibliotece GLib. Jest to część
projektu accounts-sso.

%package devel
Summary:	Development files for libaccounts-glib library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libaccounts-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36
Requires:	libxml2-devel >= 2.0
Requires:	sqlite3-devel >= 3.7.0

%description devel
Development files for libaccounts-glib library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki libaccounts-glib.

%package static
Summary:	Static libaccounts-glib library
Summary(pl.UTF-8):	Statyczna biblioteka libaccounts-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libaccounts-glib library.

%description static -l pl.UTF-8
Statyczna biblioteka libaccounts-glib.

%package apidocs
Summary:	API documentation for libaccounts-glib library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libaccounts-glib
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libaccounts-glib library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libaccounts-glib.

%package -n python-libaccounts-glib
Summary:	Python bindings for libaccounts-glib
Summary(pl.UTF-8):	Wiązania Pythona do biblioteki libaccounts-glib
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygobject3 >= 3

%description -n python-libaccounts-glib
Python bindings for libaccounts-glib.

%description -n python-libaccounts-glib -l pl.UTF-8
Wiązania Pythona do biblioteki libaccounts-glib.

%package -n vala-libaccounts-glib
Summary:	Vala API for libaccounts-glib
Summary(pl.UTF-8):	API języka Vala do biblioteki libaccounts-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-libaccounts-glib
Vala API for libaccounts-glib.

%description -n vala-libaccounts-glib -l pl.UTF-8
API języka Vala do biblioteki libaccounts-glib.

%prep
%setup -q -n %{name}-VERSION_%{version}-8d14b10652b2fe6c25d8ad8334e2d5023d254313

%build
%{__gtkdocize} --flavour no-tmpl
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	%{!?with_tests:--disable-tests} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm}	$RPM_BUILD_ROOT%{_libdir}/libaccounts-glib.la
%if %{with tests}
# tests suite
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libaccounts-glib/*test*
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/libaccounts-glib/testdata
%endif

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ag-backup
%attr(755,root,root) %{_bindir}/ag-tool
%attr(755,root,root) %{_libdir}/libaccounts-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaccounts-glib.so.0
%{_libdir}/girepository-1.0/Accounts-1.0.typelib
# who owns / uses it?
#%{_datadir}/backup-framework/applications/accounts.conf
# devel only or runtime too?
%{_datadir}/dbus-1/interfaces/com.google.code.AccountsSSO.Accounts.Manager.xml
%dir %{_datadir}/xml/accounts
%dir %{_datadir}/xml/accounts/schema
%dir %{_datadir}/xml/accounts/schema/dtd
%{_datadir}/xml/accounts/schema/dtd/accounts-*.dtd
%{_mandir}/man1/ag-backup.1*
%{_mandir}/man1/ag-tool.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaccounts-glib.so
%{_datadir}/gir-1.0/Accounts-1.0.gir
%{_includedir}/libaccounts-glib
%{_pkgconfigdir}/libaccounts-glib.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libaccounts-glib.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libaccounts-glib

%files -n python-libaccounts-glib
%defattr(644,root,root,755)
%{py_sitedir}/gi/overrides/Accounts.py[co]

%files -n vala-libaccounts-glib
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libaccounts-glib.deps
%{_datadir}/vala/vapi/libaccounts-glib.vapi
%changelog
* Mon Apr 17 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libaccounts-glib.git;a=log;h=master

* Mon Apr 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 9e1b3d5
- updated to 1.23

* Tue Apr 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 1b94403
- df workaround

* Thu Apr 21 2016 Jakub Bogusz <qboosh@pld-linux.org> b0530fa
- new URLs, updated to 1.21
- removed obsolete types patch

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> a4c91cc
- noarch vala subpackage

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a378f8c
- release 4 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 94590c7
- x32 rebuild
- release 3 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 8b171b5
- noarch apidocs

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 3b407eb
- used LGPL version is 2.1

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 373f9cf
- new; types patch fixes wrong return type (found with -Werror)

